DELETE
/api/v1/storage/bucket-replication/
curl --request DELETE \ --url 'https://api.e2enetworks.com/myaccount/api/v1/storage/bucket-replication/?project_id=<PROJECT_ID>&location=<LOCATION>&rule_id=<RULE_ID>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.delete( "https://api.e2enetworks.com/myaccount/api/v1/storage/bucket-replication/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "rule_id": "<RULE_ID>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/storage/bucket-replication/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", rule_id: "<RULE_ID>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "DELETE", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”bucket_name
required
string
Bucket Name
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
rule_id
required
integer
Example
123Replication Rule ID
Responses
Section titled “Responses”A successful response with an empty data object
Media typeapplication/json
object
code
integer
data
object
errors
object
message
string
Example
{ "code": 200, "data": {}, "errors": {}, "message": "Success"}